# Uses of Class
javax.swing.event.SwingPropertyChangeSupport

Packages that use SwingPropertyChangeSupport
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of SwingPropertyChangeSupport in javax.swing

Fields in javax.swing declared as SwingPropertyChangeSupport
Modifier and Type
Field
Description
`protected SwingPropertyChangeSupport`
AbstractAction.`changeSupport`
If any `PropertyChangeListeners` have been registered, the `changeSupport` field describes them.

## Uses of SwingPropertyChangeSupport in javax.swing.tree

Fields in javax.swing.tree declared as SwingPropertyChangeSupport
Modifier and Type
Field
Description
`protected SwingPropertyChangeSupport`
DefaultTreeSelectionModel.`changeSupport`
Used to messaged registered listeners.